apiVersion: apps/v1
kind: Deployment
metadata: 
  name: microservice-deployment
  labels:
    app: microservice

spec:
  replicas: 1
  selector:
    matchLabels:
      app: microservice
  template:
    metadata:
      labels:
        app: microservice
      annotations:
        dapr.io/enabled: "true"
        dapr.io/log-as-json: "true"
    spec:
     containers:
     - name: product-microservice
       image: knizouelo/product-microservice
       ports:
        - containerPort: 8080
